# Copyright (c) 2015  Dave Love, University of Liverpool
# Licence as for the package itself

%global commit b29857184ca563df07947988a3c07c129f64e778

Name:		callpath
Version:	1.0.2
Release:	2%{?dist}
Summary:	Consistent callpath representation in distributed-memory performance tools
License:	BSD
URL:		https://github.com/scalability-llnl/callpath
Source0:	https://github.com/scalability-llnl/callpath/archive/%commit.tar.gz
Patch1:		callpath-soname.patch
Patch2:		callpath-cmake.patch
BuildRequires:	cmake dyninst-devel openmpi-devel libdwarf-devel
BuildRequires:	adept-utils-devel elfutils-libelf-devel

%description

The callpath library is a tool for representing call path information
consistently in distributed-memory parallel applications.

%package devel
Summary:	Development files for %name
Requires:	%name%{?_isa} = %version-%release

%description devel
Development files for %name

%prep
%setup -q -n %name-%commit
%patch1 -p1 -b .soname
%patch2 -p1 -b .cmake


%build
%_openmpi_load
%cmake -DCMAKE_BUILD_TYPE=RelWithDebInfo -DCALLPATH_WALKER=dyninst \
       -DDyninst_INCLUDE_DIR=%_includedir/dyninst \
       -DSTACKWALKER_LIBRARY=%_libdir/dyninst/libstackwalk.so \
       -DSYMTAB_LIBRARY=%_libdir/dyninst/libsymtabAPI.so .
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_libdir
mv $RPM_BUILD_ROOT/usr/lib/* $RPM_BUILD_ROOT%_libdir
# I don't know whence the /lib originates.  cmake horror.
sed -i -e 's|{callpath_INSTALL_PREFIX}/lib|{callpath_INSTALL_PREFIX}/%_lib|' \
    -e 's|{_IMPORT_PREFIX}/lib|{_IMPORT_PREFIX}/%_lib|' \
    $RPM_BUILD_ROOT%_datadir/cmake/callpath/*.cmake


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%doc LICENSE
%_libdir/libcallpath.so.*
%_bindir/translate

%files devel
%_includedir/*
%_libdir/libcallpath.so
%dir %_datadir/cmake
%_datadir/cmake/callpath


%changelog
* Tue Aug 25 2015 Dave Love <loveshack@fedoraproject.org> - 1.0.2-2
- Fix libdir and remove static stuff in installed cmake files

* Fri Mar 27 2015 Dave Love <d.love@liverpool.ac.uk> - 1.0.2-1
- Initial packaging
